Resource

Alert Episode Member

Link between alerts and episodes

The Alert Episode Member Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    alertEpisode
    Type
    Alert Episode
    Description

    Relation to Alert Episode that this alert belongs to

  • Name
    alertEpisodeId
    Type
    Object IDRequired
    Description

    ID of the Alert Episode that this alert belongs to

  • Name
    alert
    Type
    Alert
    Description

    Relation to Alert that is a member of this episode

  • Name
    alertId
    Type
    Object IDRequired
    Description

    ID of the Alert that is a member of this episode

  • Name
    addedAt
    Type
    Date
    Description

    When this alert was added to the episode

  • Name
    addedBy
    Type
    TextRequired
    Description

    How this alert was added to the episode (rule, manual, or api)

  • Name
    addedByUser
    Type
    User
    Description

    User who manually added this alert to the episode (if applicable)

  • Name
    addedByUserId
    Type
    Object ID
    Description

    User ID who manually added this alert to the episode

  • Name
    matchedRule
    Type
    Alert Grouping Rule
    Description

    The grouping rule that matched this alert (if applicable)

  • Name
    matchedRuleId
    Type
    Object ID
    Description

    ID of the grouping rule that matched this alert

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

GETorPOST/api/alert-episode-member/get-list

List

This endpoint allows you to retrieve a paginated list of all your Alert Episode Member. By default, a maximum of ten Alert Episode Member are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/alert-episode-member/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "addedBy": true,
    "alertEpisodeId": true,
    "alertId": true,
    "projectId": true,
    "_id": true
  },
  "query": {
    "addedBy": "Example added by"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "376b7730-28fe-11f1-b591-3fdcef396aba",
      "addedBy": "Example added by",
      "alertEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
      "alertId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000"
    },
    {
      "_id": "376b7731-28fe-11f1-b591-3fdcef396aba",
      "addedBy": "Example added by",
      "alertEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
      "alertId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000"
    },
    {
      "_id": "376b7732-28fe-11f1-b591-3fdcef396aba",
      "addedBy": "Example added by",
      "alertEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
      "alertId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000"
    }
  ]
}
GETorPOST/api/alert-episode-member/:id/get-item

Get item by ID

This endpoint allows you to retrieve Alert Episode Member by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/alert-episode-member/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "addedBy": true,
    "alertEpisodeId": true,
    "alertId": true,
    "projectId": true,
    "_id": true
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "addedBy": "Example added by",
  "alertEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
  "alertId": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000"
}
POST/api/alert-episode-member/count

Count

This endpoint allows you to retrieve the count of all your Alert Episode Member.

Optional Request Body

Count Request

POST
/api/alert-episode-member/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "addedBy": "Example added by"
  }
}

Response

{
  "count": 107
}
POST/api/alert-episode-member

Create Alert Episode Member

This endpoint allows you to create a new object.

Create Request

POST
/api/alert-episode-member
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "addedBy": "Example added by",
    "alertEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
    "alertId": "550e8400-e29b-41d4-a716-446655440000",
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "addedAt": "2024-01-15T10:30:00.000Z"
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "addedBy": "Example added by",
  "alertEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
  "alertId": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000"
}
PUT/api/alert-episode-member/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/alert-episode-member/:id/update-item
GET/api/alert-episode-member/:id/update-item

Update Request

PUT
/api/alert-episode-member/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {}
}

Response

{}
DELETE/api/alert-episode-member/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/alert-episode-member/:id/delete-item
GET/api/alert-episode-member/:id/delete-item

Delete Request

DELETE
/api/alert-episode-member/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Alert Episode Member

  • Project Owner
  • Project Admin
  • Project Member
  • Read Alert Episode Member
  • Read All Project Resources

Create Permissions

Required to create Alert Episode Member

  • Project Owner
  • Project Admin
  • Project Member
  • Create Alert Episode Member

Update Permissions

Required to update Alert Episode Member

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Alert Episode Member

Delete Permissions

Required to delete Alert Episode Member

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Alert Episode Member